Bug 97251 - Unhide text direction cell/paragraph attribute
Summary: Unhide text direction cell/paragraph attribute
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Yousuf Philips (jay) (retired)
URL:
Whiteboard: target:5.2.0
Keywords:
Depends on:
Blocks: RTL-CTL Paragraph-Dialog Cell-Format-Dialog
  Show dependency treegraph
 
Reported: 2016-01-19 13:11 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-10-02 15:04 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:


Attachments
format cells dialog (46.19 KB, image/png)
2016-01-19 13:11 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-01-19 13:11:22 UTC
Created attachment 122082 [details]
format cells dialog

If CTL isnt enabled and you open up the format cells dialog in Calc, you dont have access to the text direction feature. This can be a problem with a user who receives a document where cells where set to RTL or LTR, but isnt able to find any means of changing this setting if he doesnt have CTL enabled.

I was having this same problem when testing attachment 115079 [details] from bug 58122 and I didnt have CTL enabled, but was sure that it had to be found in the format cell dialog.

I'm hoping this is an easy fix that can be solved simply by modifying the dialog's UI file, but there must be some coding involved which causes it to show or hide.

Version: 5.2.0.0.alpha0+
Build ID: d95d9d7f908419f397941ef60ac6ced3261c9b87
CPU Threads: 2; OS Version: Linux 4.2; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-01-19_00:40:21
Locale: en-US (en_US.UTF-8)
Comment 1 Urmas 2016-01-20 12:53:41 UTC
Those features are hidden because they are confusing for LTR-only users. Also it is unclear why such a user should work with RTL spreadsheets.
Comment 2 Yousuf Philips (jay) (retired) 2016-01-20 19:46:14 UTC
I seem to be confused that LTR users would find the text direction feature confusing when LTR users can set a cell contents to align right.
Comment 3 Yousuf Philips (jay) (retired) 2016-02-24 17:33:15 UTC
So this seems to be a simple fix so lets give it a go.

https://gerrit.libreoffice.org/22673

@Maxim, @Samuel, @Bubli: Would this patch have any negative affects.
Comment 4 Yousuf Philips (jay) (retired) 2016-03-07 18:51:26 UTC
@Cor, @Stuart, @Adolfo: Some have given their opposition to this and i was wondering what your opinion is?

As someone who doesnt enable CTL as it isnt enabled by default, i do receive documents in arabic and having the ability to atleast switch in the cell or paragraph dialog the text direction to RTL is a benefit.
Comment 5 Cor Nouws 2016-03-07 19:30:19 UTC
I see no problem in adding this option.
Some users may wonder themselves when they first see this, but that won't do much harm. After a simple experiment (for those few users that do so with unknown stuff) it should be clear to them.
Comment 6 V Stuart Foote 2016-03-07 20:46:03 UTC
(In reply to Yousuf (Jay) Philips from comment #4)

If the setting can be simply enabled without major refactoring of the CTL language modes--or even forcing user to set a default CTL, it probably ought to be. Seems like it would simplify some of the XCU for .ui navigation.
Comment 7 Yousuf Philips (jay) (retired) 2016-03-07 21:16:53 UTC
(In reply to V Stuart Foote from comment #6)
> If the setting can be simply enabled without major refactoring of the CTL
> language modes--or even forcing user to set a default CTL, it probably ought
> to be. Seems like it would simplify some of the XCU for .ui navigation.

Yes the patch simply removes the if ( CTL is enabled ) { show text direction } from the code to always show it.
Comment 8 Heiko Tietze 2016-03-21 13:05:53 UTC
While having access to the text direction under alignment is a good option and generates awareness for the LTR/RTL difference, I think the font tab is inferior and unfamiliar with CTL enabled. But since Jay's patch affects the alignment tab only I'd say "ship it"!
Comment 9 Commit Notification 2016-03-21 15:36:36 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=93e607517342cc3fa672957535570d1790058807

tdf#97251 Always show the text direction alignment control

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Khaled Hosny (inactive) 2016-03-21 16:03:33 UTC
I think the whole IsCTLFontEnabled() stuff should just go. All it does is that it hides UI elements essential for users who need them and the option to show them is buried in deep down in the options dialog without a single hint on what it actually does and we have numerous reports of users thinking LibreOffice does not support such features because of this. I don’t buy the argument that is confuses users who don’t need it, because any given user does not use like 3/4 of the application capabilities and they would be confused to death if such argument was true.
Comment 11 Cor Nouws 2016-03-21 16:31:31 UTC
(In reply to Khaled Hosny from comment #10)

> ... I don’t buy the
> argument that is confuses users who don’t need it, because any given user
> does not use like 3/4 of the application capabilities and they would be
> confused to death if such argument was true.

+1 ;)
Comment 12 Cor Nouws 2016-03-21 23:00:40 UTC
@Khaled,

(In reply to Khaled Hosny from comment #10)
> I think the whole IsCTLFontEnabled() stuff should just go. All it does is
> that it hides UI elements essential for users who need them and the option
> to show them is buried in deep down in the options dialog without a single
> hint on what it actually does and we have numerous reports of users thinking
> LibreOffice does not support such features because of this.
> ....

So my suggestion would be to create a separate issue for this wish, assigned to libreoffice-ux-advise@lists.freedesktop.org